(function() {
	  //		禁止手指双击放大
  var lastTouchEnd = 0;
  document.documentElement.addEventListener('touchend', function (event) {
	  var now = Date.now();
	  if (now - lastTouchEnd <= 300) {
		  event.preventDefault();
	  }
	  lastTouchEnd = now;
  }, false);
  FastClick.attach(document.body);
  var myChart = echarts.init(document.getElementById('main'));
  var turnoverdate = [];
  var turnoverdata = [];
  mytextStyle = {
	      color: "#999",
	      fontFamily: "sans-serif",
	      fontSize: 18,
	    };
	    mylineStyle = {
	      color: "#999",
	      shadowOffsetX: 0,
	      shadowOffsetY: 0,
	      shadowBlur: 0,
	      type: "solid",
	      width: 1,
	      opacity: 1,
	    };
	    
	  //注册回调函数，第一次连接时调用 初始化函数
    connectWebViewJavascriptBridge(function(bridge) {
      bridge.registerHandler("setTurnoverNum", function(responsedata, responseCallback) {
    	   turnoverdate = [];
    	   turnoverdata = [];
			var result = JSON.parse(responsedata);
		   for (var i = 0; i < result.length; i++) {
			   turnoverdate.push(result[i].cjsj);
			   turnoverdata.push(result[i].ddze);
		   }
		  echartFn(turnoverdata, turnoverdate);
      });

    })
    

    function echartFn(data, date) {
      option = {
        xAxis: {
          type: 'category',
          boundaryGap: true,
          data: date,
          nameTextStyle: mytextStyle,
          axisLine: {
            show: true,
            onZero: true,
            lineStyle: mylineStyle
          },
          axisTick: {
            show: false,
            alignWithLabel: false,
            inside: false,
            length: 5,
            lineStyle: mylineStyle
          },
          axisLabel: {
            formatter: function(params) {
              var newParamsName = ""; // 最终拼接成的字符串
              var paramsNameNumber = params.length; // 实际标签的个数
              var provideNumber = 6; // 每行能显示的字的个数
              var rowNumber = Math.ceil(paramsNameNumber / provideNumber); 
              if (paramsNameNumber > provideNumber) {
                for (var p = 0; p < rowNumber; p++) {
                  var tempStr = "";
                  var start = p * provideNumber;
                  var end = start + provideNumber;
                  if (p == rowNumber - 1) {
                    tempStr = params.substring(start, paramsNameNumber);
                  } else {
                    tempStr = params.substring(start, end) + "\n";
                  }
                  newParamsName += tempStr;
                }
              } else {
                newParamsName = params;
              }
              return newParamsName
            }
          }
        },
        yAxis: {
          type: 'value',
          axisLine: {
            show: false,
            onZero: true,
            lineStyle: mylineStyle
          },
          axisTick: {
            show: false,
            alignWithLabel: false,
            inside: false,
            length: 5,
            lineStyle: mylineStyle
          },
          axisLabel: {
            margin: 2,
            formatter: function(value, index) {
              if (value >= 10000 && value < 10000000) {
                value = value / 10000 + "万";
              } else if (value >= 10000000) {
                value = value / 10000000 + "千万";
              }
              return value;
            },
          },
        },
        grid: {
          left: 45,
          y2: 45
        },
        series: [{
          name: '营业额统计',
          type: 'line',
          smooth: true,
          sampling: 'average',
          itemStyle: {
            normal: {
              color: '#F15348'
            }
          },
          areaStyle: {
            normal: {
              color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
                offset: 0,
                color: '#FF7373'
              }, {
                offset: 1,
                color: '#FFF'
              }])
            }
          },
          data: data
        }]
      };
      myChart.setOption(option);
      window.onresize = myChart.resize;
    }
    
    
	function judgeBridge(type) {
        WebViewJavascriptBridge.callHandler(
          'handleTurnoverCheckEvent',
          {'type': type}
        )
      }
	

   /* 点击事件*/
	function clickevent(){
	     $(".check button").on("click", function() {
	         $(this).addClass("checked").siblings("button").removeClass("checked");
	         if ($(".day").hasClass("checked")) {
	        	 judgeBridge("day");
	           } else if ($(".week").hasClass("checked")) {
	        	 judgeBridge("week");
	           } else if ($(".month").hasClass("checked")) {
	        	 judgeBridge("month");
	          }
	    })
	}
    clickevent();

  
	setTimeout(function(){
		window.scroll(1,1);
	},300)
})();